Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 487746

Summary: libata: lib/dma-debug.c:515 check_for_stack+0x78/0x9a() (Not tainted) ... DMA-API: device driver maps memory from stack
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: jik, kernel-maint, kmcmartin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-12 03:33:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 487882    

Description Tom London 2009-02-27 13:30:19 EST
Description of problem:
Get this on boot.

System is Thinkpad X200.

ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: ATAPI: HL-DT-STCD-RW/DVD DRIVE MU10N, 1.05, max UDMA/33
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: configured for UDMA/33
------------[ cut here ]------------
WARNING: at lib/dma-debug.c:515 check_for_stack+0x78/0x9a() (Not tainted)
Hardware name: 74585FU
ahci 0000:00:1f.2: DMA-API: device driver maps memory from stack [addr=ffff880137929c00]
Modules linked in:
Pid: 645, comm: scsi_eh_1 Not tainted 2.6.29-0.172.rc6.git4.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104ba7b>] warn_slowpath+0xbc/0xf0
 [<ffffffff81060061>] ? sys_timer_gettime+0x80/0x9b
 [<ffffffff8101781b>] ? native_sched_clock+0x2d/0x5a
 [<ffffffff810170b5>] ? sched_clock+0x9/0xc
 [<ffffffff811a72a0>] ? dma_entry_alloc+0x7e/0x86
 [<ffffffff81395baf>] ? _spin_unlock_irqrestore+0x41/0x58
 [<ffffffff811a6677>] check_for_stack+0x78/0x9a
 [<ffffffff811a73f3>] debug_dma_map_sg+0xd8/0x104
 [<ffffffff81263b0a>] ata_qc_issue+0x1f3/0x289
 [<ffffffff812641ce>] ? ata_exec_internal_sg+0x8c/0x4dc
 [<ffffffff812643c0>] ata_exec_internal_sg+0x27e/0x4dc
 [<ffffffff81395bb6>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff812646ab>] ata_exec_internal+0x8d/0x9c
 [<ffffffff81393b89>] ? wait_for_common+0xcc/0x110
 [<ffffffff8126adb6>] atapi_eh_request_sense+0x9f/0xa8
 [<ffffffff8126dad8>] ata_eh_recover+0x92d/0xbbe
 [<ffffffff8106f4e5>] ? mark_lock+0x28/0x37f
 [<ffffffff812750aa>] ? ahci_postreset+0x0/0x5f
 [<ffffffff8127467f>] ? ahci_hardreset+0x0/0xeb
 [<ffffffff812765fe>] ? ahci_softreset+0x0/0x42
 [<ffffffff81263052>] ? ata_std_prereset+0x0/0xb7
 [<ffffffff81271e7b>] sata_pmp_error_handler+0xd3/0xa0a
 [<ffffffff8101781b>] ? native_sched_clock+0x2d/0x5a
 [<ffffffff8101781b>] ? native_sched_clock+0x2d/0x5a
 [<ffffffff810170b5>] ? sched_clock+0x9/0xc
 [<ffffffff8106e001>] ? lock_release_holdtime+0x2c/0x11d
 [<ffffffff81395bb6>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff812750a6>] ahci_error_handler+0x4a/0x4e
 [<ffffffff8126e7a8>] ata_scsi_error+0x2c0/0x619
 [<ffffffff8124d189>] scsi_error_handler+0xdd/0x4fe
 [<ffffffff81395bb6>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fa96>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fac7>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8124d0ac>] ? scsi_error_handler+0x0/0x4fe
 [<ffffffff81060881>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060834>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 88a6b0f8de8d369d ]---
scsi 1:0:0:0: CD-ROM            HL-DT-ST RW/DVD MU10N     1.05 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20

Output of "lspci":
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection



Version-Release number of selected component (if applicable):
kernel-2.6.29-0.172.rc6.git4.fc11.x86_64

How reproducible:
Every boot

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2009-02-27 18:46:19 EST
Posted to linux-ide:
http://marc.info/?l=linux-ide&m=123577821617955&w=2
Comment 2 Chuck Ebbert 2009-03-03 18:24:36 EST
Fix posted to list: 
http://marc.info/?l=linux-ide&m=123598773212701&w=2
Comment 3 Jonathan Kamens 2009-03-30 17:25:30 EDT
I see this as well.  Bug was reported over a month ago, fix posted here almost a month ago.  Shouldn't this be fixed before F11 ships?
Comment 4 Bug Zapper 2009-06-09 07:42:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Chuck Ebbert 2009-10-12 03:33:07 EDT
Fixed in 2.6.29